Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.config
Interface FacesConfigUnmarshaller

All Known Implementing Classes:
  DigesterFacesConfigUnmarshallerImpl

public interface FacesConfigUnmarshaller

Parses a single InputStream into an unmarshalled faces config Object, that can be processed by a respective FacesConfigDispenser.

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Method Summary
`java.lang.Object` | `getFacesConfig(java.io.InputStream in, java.lang.String systemId)`

Method Detail

### getFacesConfig

    public java.lang.Object getFacesConfig(java.io.InputStream in,
                                           java.lang.String systemId)
                                    throws java.io.IOException,
                                           org.xml.sax.SAXException

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD